<!DOCTYPE html>
<html lang="d">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Report {{ year }}</title>
    <style>
        @page {
            size: 21cm 29.7cm;
            margin: 20mm;
            /* change the margins as you want them to be. */
        }

        body {

            width: 100%;
        }

        .content {
            width: 80%;
            margin: auto;
        }

        h4 {
            margin-bottom: 5px;
        }

        table {
            width: 90%;
            margin: auto
        }

        td.amount {
            text-align: right;
        }

        tr.sum-column>td {
            padding-top: 5px;
            border-top: 1pt solid black;
        }

        tr.sum-column-total>td {
            padding-top: 20px;
            border-top: double black;
        }

        .text-red {
            font-weight: bold;
            color: red;
        }

        .text-green {
            font-weight: bold;
            color: green;
        }
    </style>
</head>

<body>

    <h2>Kontoübersicht {{ year }}</h2>
    <hr />
    <div class="content">

    % for name, entries in data.items():
        <h4>{{ name }}</h4>
        <table>
            % for sc, amount in entries.items():
            <tr>
                <td class="category-name">{{ sc }}</td>
                <td class="amount"> {{ amount }} €</td>
            </tr>
            % end
        </table>
    % end

</body>

</html>
